Welcome to the Help system for the SharePoint Products Configuration Wizard

In this Help system:

  • Welcome to the SharePoint Products Configuration Wizard
  • Visual upgrade
  • Connect to a server farm
  • Specify configuration database settings
  • Specify Farm Security Settings
  • Configure the SharePoint Central Administration Web application
  • Confirm settings
  • Advanced settings
  • Configuring SharePoint products
  • Configuration complete
  • Remove the SharePoint Central Administration Web site
  • Modify server farm settings
  • Replace default SharePoint site
  • How to: configure proxy server settings
  • How to: repair SharePoint products
  • Windows PowerShell cmdlets for the SharePoint Products Configuration wizard


Configure the SharePoint Central Administration Web application

You can configure the SharePoint Central Administration Web application and security settings.

Port number

The SharePoint Central Administration Web application enables you to manage the configuration settings for your SharePoint server farm. The first server that you add to your server farm hosts this Web site. If you need to specify a port number, you can use any number from 1 to 65535, although we recommend that you avoid using a number from the range of well-known ports.

Port numbers fall into the following three ranges:

  • Well-known ports are from 0 to 1023.
  • Registered ports are from 1024 to 49151.
  • Dynamic or private ports are from 49152 to 65535.

If you need to change the port number at a later time, you must run the SharePoint Products Configuration Wizard again. The configuration wizard will update the port number in the configuration database and create a job that will update the port number in each SharePoint Central Administration Web application on other servers in this farm.

Note Manually changing the port number of the SharePoint Central Administration Web application in Internet Information Services (IIS) Manager is not supported. Instead, you must run the configuration wizard again.

Security Settings

Both NTLM and Kerberos authentication protocols are supported.

NTLM

The default setting, NTLM protocol, is based on a challenge-response mechanism for client authentication. NTLM is available in SharePoint products to communicate with systems that are able to use only NTLM authentication.

Negotiate (Kerberos)

The Kerberos version 5 protocol is the primary security protocol for authentication within a domain. Kerberos authentication uses a service ticket system that verifies the identity of the user and of the network services. This dual verification is known as mutual authentication. The system attempts to negotiate authentication over the Kerberos protocol first, but if it is not successful, the NTLM protocol is used.

To enable Kerberos authentication, you must perform additional configuration. For more information, see Kerberos.


Remove the SharePoint Central Administration Web site

The SharePoint Central Administration Web site enables you to perform administrative tasks either locally or remotely. There must be at least one SharePoint Central Administration Web site in each server farm.

You can use the options on this page to keep or remove the SharePoint Central Administration Web site.


Configuration complete

When the SharePoint Products Configuration Wizard completes all of the required configuration tasks, SharePoint Central Administration is available for you to use to configure your Web site.

Configuration Successful

When the necessary configuration tasks are successfully completed, if you are performing a Standalone installation, you can click Finish to close the configuration wizard. The home page for the default Web site opens.

If you are performing an Server Farm installation or upgrade, the configuration settings you entered are displayed, and then you can click Finish to close the configuration wizard. The SharePoint Central Administration site is displayed in your Web browser.

If you are performing a repair, click Close to exit the configuration wizard.

Note If you are using Microsoft Internet Explorer and have not modified the default settings, Enhanced Security will be enabled. When the configuration wizard starts Internet Explorer, a pop-up appears that prompts you to add the site to the list of trusted sites.

Configuration Failure

If there was an error in one or more configuration tasks, events are written to the event log and to the installation log. To enable you to diagnose the problem, detailed information about the configuration task that was running when the configuration wizard failed, any specific error messages, and a link to the log file, are displayed.


Modify server farm settings

You can use the options on this page to modify the server farm settings. The name of the server that is hosting the configuration database and the name of the configuration database are displayed.

If you want to disconnect this computer from this server farm, select Disconnect from this server farm, and then click Next. When the configuration wizard completes, this computer will no longer host the SharePoint Central Administration Web site and will immediately be removed from the SharePoint server farm.

You can run the configuration wizard later to join the computer to another server farm.


Configuring SharePoint products

The SharePoint Products Configuration Wizard performs the following configuration tasks:

  • Configures database access and create configuration and admin content databases. In a Standalone installation, SQL Server Express 2008 is installed and configured.
  • Installs and configures features and services.
  • Configures security.
  • Creates sample data.

Note The time that is taken to complete each configuration task varies.

If the configuration wizard encounters an error while executing a configuration task, the wizard does not perform any additional configuration tasks. The Configuration Complete page appears with a configuration failure message and a link to the log file that you can use to troubleshoot the issue that caused the failure.

If you cancel the configuration wizard, the configuration tasks that have completed are not undone; the remaining configuration tasks must be performed to complete the deployment of the server. To perform the remaining configuration tasks, you must run the configuration wizard again later.

Running the upgrade checker tool

If you are performing an upgrade, it is recommended that you first use the upgrade checker tool to scan your sites. The upgrade checker tool should be run on each farm machine that has SharePoint installed.

Note You must be a member of the Administrators group on the local computer to run this tool.

At a command line, change to the following folder on your hard disk: %COMMONPROGRAMFILES%\Microsoft Shared\web server extensions\12\bin, and then run the following command to scan a server in your server farm:

stsadm.exe -o preupgradecheck

You must run this tool on every server in your server farm. Running the tool can take several minutes or a few hours depending on the amount of content in your environment.

After the scan has completed, you can view a result file which lists all issues found, and a description of how to fix the issues. The file is located in the %COMMONPROGRAMFILES%\Microsoft Shared\web server extensions\12\LOGS folder. The log files are named in the following format: PreUpgradeCheck_YYYYMMDD-HHMMSS-SSS-random-number.log, where YYYYMMDD is the date and HHMMSS-SSS is the time (hours in 24-hour clock format, minutes, seconds, and milliseconds) and the random number is used to differentiate between possible simultaneous attempts to run the pre-upgrade command.

Upgrading a server farm

If you are upgrading a server farm, you must use the following process:

  1. Run Setup, and then run the SharePoint Products Configuration Wizard on the server running SharePoint Central Administration in your farm.
  2. When you see the message about running Setup on other servers in the farm, you must run Setup and the SharePoint Products Configuration Wizard on the other servers to get to the same point.
  3. When all servers in the farm display the message, return to the first Web server, and then click OK to continue the upgrade process for the first server.
  4. After the wizard has completed on the first server, you can configure each of the other servers.

Security account requirements

To deploy SharePoint products in a server farm environment, you will need a user account that you can use to install the product and run the SharePoint Products Configuration Wizard. This account must be a unique domain user account that you can specify as the service account. This user account is used to access your configuration database. The database access account will be used for both initial database configuration, and ongoing connections from servers in this farm to the databases.

Important Ensure that your domain does not have group policy that prohibits the account chosen as your database access account from running as a service.

This account also acts as the application pool identity for the SharePoint Central Administration application pool and it is the account under which the SharePoint 2010 Timer service runs. We recommend that you follow the principle of least privilege and do not make this user account a member of any particular security group on your Web servers or your database servers.


How to: Repair SharePoint products

Use this procedure to start the SharePoint Products Configuration Wizard in Repair mode.

  1. Click Start, click Control Panel, and then click Programs and Features.
  2. Select the installation you want to repair, and then click Change.
  3. In the Setup Wizard, select Repair, and then click Continue. A binary file validation is performed.
  4. On the final Setup Wizard screen, select Run the SharePoint Products Configuration Wizard now, and then click Close.
  5. The SharePoint Products Configuration Wizard is automatically called in Repair mode, detects missing components, and then determines the installation mode that was originally selected.
  6. If the installation was a multi-server deployment, you will be prompted for application pool credentials.
  7. Provide the credentials for the Run-as account for the application pool.
  8. The configuration wizard verifies prerequisites and executes tasks required to repair the configuration.


Welcome to the SharePoint Products Configuration Wizard

The SharePoint Products Configuration Wizard performs basic tasks that require minimal user input and that must be performed to start SharePoint Central Administration, or that cannot be performed anywhere else.

In addition to using the configuration wizard to perform the initial configuration, you can use the configuration wizard at any time to perform the following:

  • Identify missing components.
  • Validate your configuration.
  • Identify, repair, or reset security and low-level configuration settings.

The configuration wizard might have to start, stop, or reset the SharePoint Administration Service, the SharePoint Timer Service, Internet Information Services (IIS), and services from other applications that depend on Microsoft SharePoint Foundation and are appropriately registered.

If you do not want to interrupt server operations, click No to exit the configuration wizard.

Note You must successfully complete the configuration wizard before the server deployment is finished and you can access SharePoint Central Administration to configure your site.

After the configuration wizard completes, the services that are required to run Central Administration are enabled. Then, you must use Central Administration to configure your site.

Software requirements

Before you can install, configure, or operate the server, the following conditions must be met:

  • A 64-bit edition of a supported Windows Server 2008 operating system.
  • Microsoft SQL Server Express (for Standalone installations) or a supported version of Microsoft SQL Server 2005 or SQL Server 2008.
  • Appropriate administrative credentials on the servers on which you are installing and a domain account to use as the service account.

For detailed information about these requirements, and for the most current and comprehensive content related to this product, see the Microsoft SharePoint 2010 Products TechCenter.

Standalone

Deploying SharePoint products in a stand-alone environment will install all of the components and features on a single stand-alone computer by using default settings. The configuration wizard does not prompt you for any configuration settings or credentials. Instead, the configuration wizard uses default values to create the Web application, core services, and standard security groups that are required to start Central Administration.

The configuration wizard uses the default settings if you selected one of the following options in the Setup Wizard:

  • Standalone
  • Server Farm, then Stand-alone

Server Farm

When you select the Server Farm option in the Setup Wizard, the configuration wizard enables you to install to a server farm, use an existing database, deploy a new, or connect to an existing server farm. You can create new databases or use existing databases. In your server farm one or more computers can be Web servers, and one or more computers can provide database services from Microsoft SQL Server.

The configuration wizard will prompt you for the credentials that are required to create the core elements such as creating the Central Administration Web application and creating the new configuration database.

Repair

You can use Repair to overwrite changed or damaged files and registry settings.

For example, you can use Repair if a registry entry has been overwritten and you need to return to the default setting.

When you repair an installation, the files that were installed are verified, missing components are detected, and then the configuration is repaired.

For information, see How to: Repair SharePoint products.

Upgrade

You can upgrade to the latest version of SharePoint products.

Running the upgrade checker tool

If you are performing an upgrade, you must first use the upgrade checker tool to scan your sites.

Note You must be a member of the Administrators group on the local computer to run this tool.

At a command line, change to the following folder on your hard disk: %COMMONPROGRAMFILES%\Microsoft Shared\web server extensions\12\bin, and then run the following command to scan a server in your server farm:

stsadm.exe -o preupgradecheck

You must run the tool on every server in your server farm. Running the tool can take several minutes or a few hours depending on the amount of content in your environment.

After the scan has completed, you can view a result file which lists all issues found, and a description of how to fix the issues. The file is located in the %COMMONPROGRAMFILES%\Microsoft Shared\web server extensions\12\LOGS folder. The log files are named in the following format: PreUpgradeCheck_YYYYMMDD-HHMMSS-SSS-random-number.log, where YYYYMMDD is the date and HHMMSS-SSS is the time (hours in 24-hour clock format, minutes, seconds, and milliseconds) and the random number is used to differentiate between possible simultaneous attempts to run the pre-upgrade command.

Upgrading a server farm

If you are upgrading a server farm, you must use the following process:

  1. Run Setup, and then run the SharePoint Products Configuration Wizard on the server running SharePoint Central Administration in your farm.
  2. When you see the message about running Setup on other servers in the farm, you must run Setup and the SharePoint Products Configuration Wizard on the other servers to get to the same point.
  3. When all servers in the farm display the message, return to the first Web server, and then click OK to continue the upgrade process for the first server.
  4. After the wizard has completed on the first server, you can configure each of the other servers.

Applying updates to a farm

After you apply an update, such as a service pack or cumulative update, you run the SharePoint Products Configuration Wizard to upgrade the farm to the new version. All servers in the farm must be updated to the same version and must have the same products and language packs installed before you can run the configuration wizard. If any servers in your farm have not been updated, the Farm Product and Patch Status page appears, listing the current status for each server in the farm. From this page, you can determine which servers need to be updated. To update your servers, exit the SharePoint Products Configuration Wizard, run the update on the servers that need to be updated, and then run the configuration wizard again.


Connect to a server farm

You can create a new server farm or manage the connection to an existing SharePoint server farm. You must provide the database server name, the database name, and the credentials for a user account that will be used for database access. If you are connecting to an existing farm, you will also have to specify a passphrase to use to connect to the farm. For more information, see Specify Farm Security Settings.

All the servers in the farm must use the same configuration database. If the database does not exist, a new database will be created. If the database name is the same as an existing database, the database must not contain any tables, stored procedures, or other objects.

Enter the credentials for the user account that the SharePoint product will use for database connectivity. If the configuration database is hosted on a different computer, the account must be a domain account.

You can select one of the following options:

  • Do not modify these settings
  • Create a new server farm
  • Connect to an existing server farm
  • Disconnect from this server farm

Note All of these options might not appear in your installation. The options that are displayed depend on the configuration and state of your server farm.

The configuration wizard checks for an existing connection to a configuration database. If a connection does not exist, a new server farm is created. If a connection exists, settings are not modified.

When you manage the database connection to an existing server farm, the configuration wizard ensures that one or more SharePoint Central Administration Web applications exist in the server farm and are registered in the configuration database. This is designed to prevent a situation where a server farm exists but a SharePoint Central Administration Web application is not installed to manage the installation.

If you select Disconnect from this server farm, the configuration wizard removes the server from the farm and then updates SharePoint Central Administration for the farm.

If the computer you are disconnecting has a SharePoint Central Administration Web application, it is removed, and the entry in the configuration database is removed.


How to: Configure proxy server settings

Use this procedure to configure the network proxy settings.

  1. Click Start, click Control Panel, click Network and Sharing Center, and then under See also, click Internet Options.
  2. In the Internet Properties dialog box, click the Connections tab.
  3. Click LAN Settings.
  4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
  5. In the Proxy server section, do the following:
    1. Select the Use a proxy server for your LAN check box.
    2. In the Address box, type the name of your proxy server.
    3. In the Port box, type the port number of your proxy server.
    4. Select the Bypass proxy server for local (intranet) addresses check box.
  6. Click OK to close the Local Area Network (LAN) Settings dialog box.
  7. Click OK to close the Internet Options dialog box.


Windows PowerShell cmdlets for the SharePoint Products Configuration Wizard

In SharePoint Products 2010, you can use Windows PowerShell cmdlets as an alternate interface to perform several operations that control how the SharePoint products are configured. You must be a member of the Administrators group on the local computer to perform these operations.

You run the Windows PowerShell cmdlets from the SharePoint 2010 Management Console window. To access SharePoint 2010 Management Console window, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint 2010 Management Console.

The cmdlets must be run in a specific order to run successfully. If you use SharePoint Products Configuration Wizard to configure your installation, it calls the commands (also called configuration tasks) in the correct order for you. However, if you use cmdlets, you must ensure that you are performing the tasks in the correct order. The Windows PowerShell cmdlets must be performed in the following order:

  1. New-SPConfigurationDatabase
  2. Install-SPHelpCollection
  3. Initialize-SPResourceSecurity
  4. Install-SPService
  5. Install-SPFeature
  6. New-SPCentralAdministration
  7. Install-SPApplicationContent


Specify configuration database settings

The configuration database is used to store configuration and site-mapping information for your server farm. There must be one configuration database for your server farm whether your server farm is one computer with everything on it, or several computers.

Database Settings

You must provide connectivity settings to an existing database server through an existing user account.

Database server

You must type the name for the computer running a supported version of Microsoft SQL Server 2005 or Microsoft SQL Server 2008. You can type the name of the computer running SQL Server as either server or server\instance.

Database name

If you are creating a new configuration database, you can either type the name of the database for the configuration wizard to create, or you can type the name of a database that has been provisioned in advance. If you want to use an existing database you must run Psconfig.exe from the command line to connect to that database, and it must not contain any tables, stored procedures, or other objects.

If you are connecting to an existing configuration database, you can click Retrieve Database Names. The configuration databases that exist on the computer running SQL Server will be returned, and you can choose the appropriate configuration database.

Database access account

You must enter the credentials for an existing user account that will always be used to connect to the configuration database. If the configuration database is hosted on a different computer, you must provide the credentials for a domain account.

Although you can enter either a local or a domain account in installations in which you are using a SQL Server installation, a local account will work only for single server deployments. We recommend that you use a domain account so that you preserve the flexibility to later add additional computers to the farm.

To deploy SharePoint products in a server farm environment, you will need a unique domain user account that you can specify as the SharePoint service account. This user account is used to access the configuration database. The database access account will be used for both initial database configuration, and ongoing connections from servers in this farm to the databases.

Important Ensure that your domain does not have group policy that prohibits the account chosen as your database access account from running as a service.

This account also acts as the application pool identity for the SharePoint Central Administration application pool and it is the account under which the SharePoint 2010 Timer service runs. The SharePoint Products Configuration Wizard adds this account to the SQL Server Logins, the SQL Server Database Creator server role, and the SQL Server Security Administrators server role. We recommend that you follow the principle of least privilege and do not make this user account a member of any particular security group on your Web servers or your database servers.

The database access account must have the following permissions: security administrator, database creator, and database owner (DBO) of all SharePoint databases. If you run Psconfig.exe from the command line to install and specify the account using SQL authentication, then permissions for this account must be configured in SQL Server; the configuration wizard does not perform this configuration when you run Psconfig.exe from the command line with the SQL authentication option.

The account that you specify for database access must have, at minimum:

  • The ability to read from and write to the configuration database.
  • Server-wide permissions (security administrator) in SQL Server.
  • During creation and adding schema, the account must have DBO permissions.

Additionally, if the configuration wizard is creating a new configuration database, the database access account must have the following permissions:

  • Create Database
  • Create Procedure

Tasks

To create the configuration database, the configuration wizard performs the following tasks:

  1. Validate that SQL Server meets minimum requirements.
  2. Either create a new database or connect to an existing blank database.
  3. Add database schema to a new configuration database.
  4. Add current server to the topology.
  5. Add database access account credentials to the configuration database.
  6. Write database connection string to the registry on the local computer.

To disconnect from a configuration database, the configuration wizard performs the following tasks:

  1. Remove the configuration database connection string.
  2. Stop the job/task scheduling NT service running on the local computer.
  3. Remove computer-specific data from the old configuration database.


Advanced settings

To create new unique user accounts automatically by using Active Directory Domain Services (AD DS), you must enable Active Directory account creation mode.

Because at least one Central Administration Web application is required for each server farm, in the first server in the server farm, the Central Administration Web application is automatically installed and only one set of fields, for the Active Directory domain and the Active Directory organizational unit, are presented. When you run the configuration wizard on other servers in the farm, you will see the option on this screen to create the Central Administration Web application.

If you want to create a load-balanced URL for Central Administration or to provide redundancy, you can create more than one Central Administration Web site. However, in most installations this is unnecessary.

To enable Active Directory account creation mode
  1. On the Advanced Settings page, select Enable Active Directory Account Creation Mode.
  2. In Active Directory Domain, type your domain name.
  3. In Active Directory Organizational Unit, type your SharePoint organizational unit.
  4. To return to the Completing the SharePoint Products Configuration Wizard page, click OK.

Warning If you enable this option, you might not be able to upgrade from Microsoft SharePoint Foundation to other products based on SharePoint Products and Technologies. If you have trouble installing SharePoint products on this computer, run the SharePoint Products Configuration Wizard again to clear this option.


Confirm settings

Use the Completing the SharePoint Products Configuration Wizard page to confirm the database and Central Administration Web application settings you have entered.

Confirm that the settings are correct, and then click Next to continue.

Click Advanced Settings to enable Active Directory account creation mode. For more information, see Advanced Settings.


Replace default SharePoint site

When you perform a Standalone installation or an upgrade and an existing SharePoint product is already installed, a default SharePoint site might already exist on port 80.

If you are certain that the existing default SharePoint Web site is not required, you can disable the existing site and create a new one on port 80, or you can choose a different port on which to host the new site.


Specify Farm Security Settings

Type a passphrase to help to secure farm configuration data, and then click Next.

Although a pass phrase is similar to a password, it is usually longer to enhance security. It is used to encrypt credentials of accounts that are registered in SharePoint products, for example, the system account that you provide when you run the SharePoint Products Configuration wizard. Ensure that you remember the pass phrase, because you must use it each time you add a server to the farm.

Ensure that the passphrase meets the following criteria:

  • Has at least eight characters
  • Contains at least three of the following four character groups:
    • English uppercase characters (A through Z)
    • English lowercase characters (a through z)
    • Numerals (0 through 9)
    • Nonalphabetic characters (such as !, $, #, %)

You can change the passphrase after the farm has been configured by running the Set-SPPassphrase cmdlet in Windows PowerShell. By default, the new passphrase will be deployed across all servers in the farm. However, if there is a failure in the deployment of the new passphrase, you must manually update the passphrase on the individual server on which the deployment failed. Run the Set-SPPassphrase - LocalServerOnly cmdlet in Windows PowerShell to manually update the passphrase.

Note The Specify Farm Security Settings page is not displayed when you perform an upgrade.


Visual upgrade

Visual upgrade enables users to retain the existing look and feel of SharePoint sites after an upgrade to a new version. This reduces the impact of the upgrade on users and also minimizes issues with customized pages, Web Parts, Web controls, and views.

Site owners can decide if and when to upgrade the appearance of their sites to the new version. By default, new sites that are created after the upgrade will use the new user experience.

  • Change existing SharePoint sites to use the new user experience

    • Select this option if you want to change the existing SharePoint sites to use the new user experience, including layout, command organization, and style. If you select this option, you must also select one of the following options:

    • Preserve customized pages, but update template and application pages to use the new user experience

      • Select this option if you want to change the existing SharePoint sites to use the new user experience, but you want to preserve all the customized changes that you have made.

    • Reset all customized pages to their original templates

      • Select this option if you want to change the existing SharePoint sites to use the new user experience, and you want to overwrite all customized changes that you have made.

  • Preserve the look and feel of existing SharePoint sites, and allow end users to update their sites’ user experience

    • Select this option if you want to preserve the existing user experience, including layout, command organization, and style. All of the data and settings from the original site will be preserved.

    After a farm upgrade, farm administrators, site collection administrators, and site owners can update their sites to the latest user experience.

    While the site is using the previous user experience, some of the new features will not be available. These features include the Ribbon user interface, in-place editing for wiki pages, interactive calendars, and list relationships. When the site is updated to use the latest user experience, new features will automatically become available.

    Regardless of the type of farm upgrade selected, administrators can take advantage of all the benefits of upgrade, including improved reliability, scalability, and manageability.

    Preserving the previous user experience reduces the likelihood that customized content will cease to function. This ensures that administrators, developers, and end users can continue to use the SharePoint site until all upgrade work is completed.